-- Deploy numerus:attach_to_collection to pg
-- requires: roles
-- requires: attach_to_payment

begin;

set search_path to numerus, public;

create or replace function attach_to_collection(collection_slug uuid, original_filename text, mime_type text, content bytea) returns void as
$$
	select attach_to_payment(collection_slug, original_filename, mime_type, content);
$$
	language sql
;

revoke execute on function attach_to_collection(uuid, text, text, bytea) from public;
grant execute on function attach_to_collection(uuid, text, text, bytea) to invoicer;
grant execute on function attach_to_collection(uuid, text, text, bytea) to admin;

commit;
